midi_msg_callback(3)

NAME
midi_msg_callback, midi_meta_callback, midi_sysex_callback

SYNOPSIS
#include <allegro.h>

extern void (*midi_msg_callback)(int msg, int byte1, int byte2); extern void (*midi_meta_callback)(int type, const unsigned char *data, int length); extern void (*midi_sysex_callback)(const unsigned char *data, int length);

DESCRIPTION
Hook functions allowing you to intercept MIDI player events. If set to anything other than NULL, these routines will be called for each MIDI message, meta-event, and system exclusive data block respectively. They will execute in an interrupt handler context, so all the code and data they use should be locked, and they must not call any operating system functions. In general you just use these routines to set some flags and respond to them later in your mainline code.

SEE ALSO
play_midi(3)